DCMTK: QRResponse Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | List of all members
QRResponse Class Reference

Base class for C-FIND, C-MOVE and C-GET responses. More...

Inheritance diagram for QRResponse:

## Public Member Functions
| QRResponse ()
| Standard constructor.
virtual | ~QRResponse ()
| Destructor, cleans up internal memory (dataset if present).

## Public Attributes
Uint16 | m_messageIDRespondedTo
| The message ID responded to (mandatory response field, equals message ID from request)
OFString | m_affectedSOPClassUID
| Optional response field according to part 7 of the standard.
DcmDataset * | m_dataset
| Conditional response field (NULL if absent).
Uint16 | m_status
| The returned DIMSE status (mandatory Response Field)
DcmDataset * | m_statusDetail
| Status detail (NULL if absent).

## Private Member Functions
| QRResponse (const QRResponse &other)
| Private undefined copy constructor.
QRResponse & | operator= (const QRResponse &other)
| Private undefined assignment operator.

## Detailed Description

Base class for C-FIND, C-MOVE and C-GET responses.

## Constructor & Destructor Documentation

## ◆ QRResponse()

QRResponse::QRResponse | ( | const QRResponse & | other | ) |
| private

Private undefined copy constructor.

Parameters

  other | The find response to copy from

References QRResponse().

## Member Function Documentation

## ◆ operator=()

QRResponse & QRResponse::operator= | ( | const QRResponse & | other | ) |
| private

Private undefined assignment operator.

Parameters

  other | The find response that should be assigned from

Returns
  Reference to this

References QRResponse().

## Member Data Documentation

## ◆ m_affectedSOPClassUID

OFString QRResponse::m_affectedSOPClassUID

Optional response field according to part 7 of the standard.

If present, equals SOP Class UID from request.

Referenced by QRResponse().

## ◆ m_dataset

DcmDataset* QRResponse::m_dataset

Conditional response field (NULL if absent).

From the standard (2009, part 4, C.4.2.1.4.2), for C-MOVE: In Q/R if no C-STORE sub-operation failed, Failed SOP Instance UID List (0008,0058) is absent and therefore no Data Set shall be sent in the C-MOVE response. Further rules: Statuses of Canceled, Failure, Refused, or Warning shall contain the Failed SOP Instance UID List Attribute; status of Pending shall not.

Referenced by QRResponse(), and ~QRResponse().

## ◆ m_statusDetail

DcmDataset* QRResponse::m_statusDetail

Status detail (NULL if absent).

For some DIMSE return status codes, an additional dataset is sent which gives further information (i.e. in case of warnings or errors).

Referenced by QRResponse(), and ~QRResponse().

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/scu.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2